org.apache.commons.compress.compressors.lzma

## Class LZMAUtils

- java.lang.Object
- - org.apache.commons.compress.compressors.lzma.LZMAUtils

-     public class LZMAUtils
      extends Object

  Utility code for the lzma compression format.
  Since:
    1.10
  This class is thread-safe

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCompressedFilename(String fileName)` Maps the given file name to the name that the file should have after compression with lzma.
    `static String` | `getUncompressedFilename(String fileName)` Maps the given name of a lzma-compressed file to the name that the file should have after uncompression.
    `static boolean` | `isCompressedFilename(String fileName)` Detects common lzma suffixes in the given file name.
    `static boolean` | `isLZMACompressionAvailable()` Are the classes required to support LZMA compression available?
    `static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches what is expected for a .lzma file.
    `static void` | `setCacheLZMAAvailablity(boolean doCache)` Whether to cache the result of the LZMA check.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCompressedFilename

          public static String getCompressedFilename(String fileName)

      Maps the given file name to the name that the file should have after compression with lzma.
      Parameters:
        `fileName` - name of a file
      Returns:
        name of the corresponding compressed file

    - #### getUncompressedFilename

          public static String getUncompressedFilename(String fileName)

      Maps the given name of a lzma-compressed file to the name that the file should have after uncompression. Any file names with the generic ".lzma" suffix (or any other generic lzma suffix) is mapped to a name without that suffix. If no lzma suffix is detected, then the file name is returned unmapped.
      Parameters:
        `fileName` - name of a file
      Returns:
        name of the corresponding uncompressed file

    - #### isCompressedFilename

          public static boolean isCompressedFilename(String fileName)

      Detects common lzma suffixes in the given file name.
      Parameters:
        `fileName` - name of a file
      Returns:
        `true` if the file name has a common lzma suffix, `false` otherwise

    - #### isLZMACompressionAvailable

          public static boolean isLZMACompressionAvailable()

      Are the classes required to support LZMA compression available?
      Returns:
        true if the classes required to support LZMA compression are available

    - #### matches

          public static boolean matches(byte[] signature,
                                        int length)

      Checks if the signature matches what is expected for a .lzma file.
      Parameters:
        `signature` - the bytes to check
        `length` - the number of bytes to check
      Returns:
        true if signature matches the .lzma magic bytes, false otherwise

    - #### setCacheLZMAAvailablity

          public static void setCacheLZMAAvailablity(boolean doCache)

      Whether to cache the result of the LZMA check.

      This defaults to `false` in an OSGi environment and `true` otherwise.

      Parameters:
        `doCache` - whether to cache the result

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.